%define debug_package %{nil}

%define name    bisect

Name:           ocaml-%{name}
Version:        1.3
Release:        %mkrel 12
Summary:        OCaml code coverage tool
License:        GPLv3
Group:          Development/OCaml
URL:            http://bisect.x9c.fr/
Source0:        http://download.ocamlcore.org/bisect/%{version}/sources/bisect-%{version}.tar.gz

BuildRequires:  ocaml
BuildRequires:  ocaml-findlib
BuildRequires:  ocaml-camlp4-devel
Requires:       ocaml-camlp4

%description
Bisect is a code coverage tool for the Objective Caml language. It is
a camlp4-based tool that allows to instrument your application before
running tests. After application execution, it is possible to generate
a report in HTML format that is the replica of the application source
code annotated with code coverage information.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}
Requires:       ocaml-camlp4-devel

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n bisect-%{version}

%build
sh configure
make all doc

# To install the bisectThread files
sed -ri -e 's|src/\$|src/threads/\$|g' Makefile

%check
make tests

%install
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
export PATH_OCAML_BIN=%{_bindir}
mkdir -p $OCAMLFIND_DESTDIR/bisect
make install PATH_OCAML_BIN=%{_bindir}

# Install binary by hand
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_libdir}/ocaml/bisect
install -m 0755 _build/src/report/report.native  %{buildroot}%{_bindir}/bisect-report
strip %{buildroot}%{_bindir}/bisect-report


%files
%doc COPYING
%dir %{_libdir}/ocaml/bisect
%{_bindir}/bisect-report
%{_libdir}/ocaml/bisect/META
%{_libdir}/ocaml/bisect/*.cma
%{_libdir}/ocaml/bisect/*.cmi
%{_libdir}/ocaml/bisect/*.cmo
%{_libdir}/ocaml/bisect/bisect_pp.cmo

%files devel
%doc CHANGES COPYING README doc/bisect.pdf ocamldoc
%{_libdir}/ocaml/bisect/*.a
%{_libdir}/ocaml/bisect/*.o
%{_libdir}/ocaml/bisect/*.cmx
%{_libdir}/ocaml/bisect/*.cmxa





%changelog
* Mon Sep 26 2016 pterjan <pterjan> 1.3-12.mga6
+ Revision: 1056251
- Rebuild for fix in ocaml

* Thu Feb 04 2016 pterjan <pterjan> 1.3-11.mga6
+ Revision: 934180
- Rebuild for new ocaml

* Wed Oct 21 2015 tv <tv> 1.3-10.mga6
+ Revision: 893240
- rebuild with fixed deps

* Wed Oct 15 2014 umeabot <umeabot> 1.3-9.mga5
+ Revision: 749849
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.3-8.mga5
+ Revision: 682992
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.3-7.mga4
+ Revision: 535762
- Mageia 4 Mass Rebuild

* Fri Sep 20 2013 malo <malo> 1.3-6.mga4
+ Revision: 482448
- rebuild for ocaml-4.01.0

* Sat Jan 12 2013 umeabot <umeabot> 1.3-5.mga3
+ Revision: 361166
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 21 2012 blue_prawn <blue_prawn> 1.3-4.mga3
+ Revision: 320082
- updated to last version 1.3

* Mon Oct 01 2012 blue_prawn <blue_prawn> 1.1-4.mga3
+ Revision: 301638
- new rpm group for ocaml
- new rpm group for ocaml

* Sun Dec 04 2011 malo <malo> 1.1-2.mga2
+ Revision: 176306
- adding missing Requires camlp4-devel
- adding missing Requires camlp4
- adding missing files
- putting the preprocessor files in ocaml-bisect instead of devel
- spec clean-up

* Sun Nov 06 2011 malo <malo> 1.1-1.mga2
+ Revision: 164335
- imported package ocaml-bisect


* Sun Aug 09 2009 Florent Monnier <blue_prawn@mandriva.org> 1.0-3.beta.1mdv2010.0
+ Revision: 413656
- try to fix release field
- new increment
- incremented mkrel number
- corrected release field

* Sun Aug 09 2009 Florent Monnier <blue_prawn@mandriva.org> 1.0-1mdv2010.0
+ Revision: 412952
- spec file made from the fedora's one by Richard Jones

